Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 722)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 723)
@@ -19,6 +19,7 @@
 import org.eclipse.ui.part.EditorPart;
 import org.eclipse.ui.part.MultiPageEditorPart;
 import org.txm.chartsengine.core.ChartsEngine;
+import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.chartsengine.rcp.events.EventCallBack;
@@ -94,20 +95,13 @@
 	 * @param swtComponentsProvider
 	 * @param chartEditorInput
 	 */
-	protected ChartEditor(SWTChartsComponentsProvider swtComponentsProvider, ChartEditorInput chartEditorInput) {
+	protected ChartEditor(ChartEditorInput chartEditorInput) {
 		this.setInput(chartEditorInput);
 		this.setPartName(chartEditorInput.getName());
 		
 		this.wasAlreadyOpened = false;
 	}
 
-	/**
-	 * 
-	 * @param chartEditorInput
-	 */
-	public ChartEditor(ChartEditorInput<ChartResult> chartEditorInput) {
-		this(SWTChartsComponentsProvider.getCurrent(), chartEditorInput);
-	}
 	
 	/**
 	 * Subclasses manual creation.
@@ -174,79 +168,57 @@
 		SWTChartsComponentsProvider.initDefaultContextMenus(this.chartComposite);
 	}
 	
+
 	/**
 	 * 
 	 * @param result
-	 * @return
 	 */
-//	public static ChartEditor openEditor(ChartResult result) {
-//		return openEditor(result, SWTChartsComponentsProvider.getCurrent());
-//	}
-
 	public static void openEditor(ChartResult result) {
 		openEditor(result, result.getClass().getName());
 	}
 
 	
-	public static void openEditor(ChartResult result, String editorPartId)	{
-		compute(new ChartEditorInput(result), editorPartId, false, null);
-	}
-
-	
 	/**
 	 * 
 	 * @param result
-	 * @param chartsComponentsProvider
-	 * @return
+	 * @param editorPartId
 	 */
-	public static void openEditor(ChartResult result, SWTChartsComponentsProvider chartsComponentsProvider) {
-		compute(new ChartEditorInput(result), result.getClass().getName(), false, null);
-		//return chartsComponentsProvider.openEditor(result);
+	public static void openEditor(ChartResult result, String editorPartId)	{
+		compute(new ChartEditorInput(result), editorPartId, false, null);
 	}
 
 
+
 	@Override
 	public void updateResultFromEditor() {
 		// does nothing by default
 	}
 	
-//	@Override
-//	public void updateEditorFromResult(boolean update) {
-//		// nothing to do
-//	}
-	
 	/**
 	 * Synchronizes the editor with the chart result. 
 	 * Dedicated to dynamically change the editor components from the stored result.
 	 */
 	public abstract void updateEditorFromChart(boolean update);
 	
-//	@Override
-//	public final void updateEditorFromResult(boolean update) { updateEditorFromChart(update);
 	
-	
-	
 	@Override
 	public final void updateEditorFromResult(boolean update) {
 		
-		
 		this.updateEditorFromChart(update);
 		
 		// check that the charts engine used for the result matches the SWT components provider otherwise fin a suitable components provider
 		if(this.getResult().getChartsEngine() != this.getSWTChartsComponentsProvider().getChartsEngine())	{
 			this.getEditorInput().setSWTChartsComponentsProvider(SWTChartsComponentsProvider.getComponentsProvider(this.getResult().getChartsEngine()));
 			this.getSWTChartsComponentsProvider().setChartsEngine(this.getResult().getChartsEngine());
-			System.err.println("ChartEditor.__updateEditorFromResult(): charts engine used to create the chart does not match the editor one. The SWT components provider has been changed to match it: " + this.getSWTChartsComponentsProvider() + ".");
 			
+			Log.warning("ChartEditor.__updateEditorFromResult(): charts engine used to create the chart does not match the editor one. The SWT components provider has been changed to match it: " + this.getSWTChartsComponentsProvider() + "."); //$NON-NLS-1$
+			
 			// recreating the chart composite
 			Composite parent = this.chartComposite.getParent();
 			this.chartComposite.dispose();
 			this.chartComposite = this.getSWTChartsComponentsProvider().createComposite(this, parent);
 			
 			GridData gd = new GridData(GridData.FILL_BOTH);
-//			gd.grabExcessVerticalSpace = true;
-//			gd.grabExcessHorizontalSpace = true;
-			//gd.horizontalSpan = 2; // 2 for match the command parameters toolbar AND the chart toolbar
 			this.chartComposite.setLayoutData(gd);
 			parent.layout();
 		}
@@ -311,9 +283,9 @@
 				contributions[i].getAttribute("resultDataClass") != null //$NON-NLS-1$
 				&& contributions[i].getAttribute("resultDataClass").equals(this.getResult().getClass().getName()) //$NON-NLS-1$
 				
-				&& ((contributions[i].getAttribute("chartType") == null && this.getChartType() == null
+				&& ((contributions[i].getAttribute("chartType") == null && this.getChartType().equals(ChartsEnginePreferences.DEFAULT_CHART_TYPE)
 					||
-					contributions[i].getAttribute("chartType") != null && this.getChartType() != null && contributions[i].getAttribute("chartType").equals(this.getChartType())
+					contributions[i].getAttribute("chartType") != null && !this.getChartType().equals(ChartsEnginePreferences.DEFAULT_CHART_TYPE) && contributions[i].getAttribute("chartType").equals(this.getChartType())
 					)  //$NON-NLS-1$
 				)
 				
@@ -326,22 +298,22 @@
 					EventCallBackHandler mouseHandler = this.chartComposite.getMouseCallBackHandler();
 					if(mouseHandler != null && mouseHandler.getEventCallBack(eventCallBack.getClass()) == null)	 {
 
-						Log.info("ChartEditor.createPartControl(): call back of type " + eventCallBack.getClass()
-								+ " registered in mouse handler (chart editor = " + this.getClass()
-								+ ", result data class = " + this.getResult().getClass()
-								+ ", chart type = " + this.getChartType()
-								+ ").");
+						Log.info("ChartEditor.registerEventCallBackExtensions(): call back of type " + eventCallBack.getClass()  //$NON-NLS-1$
+								+ " registered in mouse handler (chart editor = " + this.getClass()  //$NON-NLS-1$
+								+ ", result data class = " + this.getResult().getClass()  //$NON-NLS-1$
+								+ ", chart type = " + this.getChartType()  //$NON-NLS-1$
+								+ ").");  //$NON-NLS-1$
 						
 						mouseHandler.registerEventCallBack(eventCallBack);
 					}
 					EventCallBackHandler keyboardHandler = this.chartComposite.getKeyCallBackHandler();
 					if(keyboardHandler != null && keyboardHandler.getEventCallBack(eventCallBack.getClass()) == null)	 {
 						
-						Log.info("ChartEditor.createPartControl(): call back of type " + eventCallBack.getClass()
-								+ " registered in key handler (chart editor = " + this.getClass()
-								+ ", result data class = " + this.getResult().getClass()
-								+ ", chart type = " + this.getChartType()
-								+ ").");
+						Log.info("ChartEditor.registerEventCallBackExtensions(): call back of type " + eventCallBack.getClass()  //$NON-NLS-1$
+								+ " registered in key handler (chart editor = " + this.getClass()  //$NON-NLS-1$
+								+ ", result data class = " + this.getResult().getClass()  //$NON-NLS-1$
+								+ ", chart type = " + this.getChartType()  //$NON-NLS-1$
+								+ ").");  //$NON-NLS-1$
 						
 						keyboardHandler.registerEventCallBack(eventCallBack);
 					}
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorInput.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorInput.java	(revision 722)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditorInput.java	(revision 723)
@@ -7,7 +7,6 @@
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
 import org.txm.core.preferences.TXMPreferences;
-import org.txm.core.results.TXMResult;
 import org.txm.rcp.editors.TXMResultEditorInput;
 
 /**
@@ -18,10 +17,6 @@
 public class ChartEditorInput<T extends ChartResult> extends TXMResultEditorInput<ChartResult> {
 
 
-	@Deprecated
-	protected String name;
-	
-	
 	/**
 	 * SWT chart components provider used to create the chart editor.
 	 * Store it allows the switch of component provider in the RCP in keeping the chart editors in a coherent state.
@@ -172,12 +167,6 @@
 		this.chartContainer = chartContainer;
 	}
 
-//	public void setChart(Object chart) {
-//		this.chart = chart;
-//	}
-
-	
-
 	/**
 	 * Set the <code>SWTChartsComponentsProvider</code> to link to this editor input and to use for reading the chart object.
 	 * @param swtChartsComponentsProvider the swtChartsComponentsProvider to set
@@ -187,7 +176,6 @@
 	}
 
 
-
 	/**
 	 * Gets a string representing the type of the chart as defined in the chart creator extension.
 	 * @return the chartType or <code>null</code> if there only one chart type needed for the linked <code>TXMResult</code>. 
Index: tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java
===================================================================
--- tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java	(revision 722)
+++ tmp/org.txm.partition.core/src/org/txm/partition/core/chartsengine/jfreechart/JFCPartitionDimensionsBarChartCreator.java	(revision 723)
@@ -10,11 +10,9 @@
 import org.jfree.data.general.DatasetUtilities;
 import org.jfree.data.xy.XYSeries;
 import org.jfree.data.xy.XYSeriesCollection;
-import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.chartsengine.core.preferences.ChartsEnginePreferences;
 import org.txm.chartsengine.core.results.ChartResult;
 import org.txm.chartsengine.jfreechart.core.JFCChartCreator;
-import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IRendererWithItemSelection;
 import org.txm.chartsengine.jfreechart.core.themes.base.ExtendedNumberAxis;
 import org.txm.chartsengine.jfreechart.core.themes.base.SymbolAxisBetweenTicks;
 import org.txm.partition.core.chartsengine.base.Utils;
@@ -42,8 +40,6 @@
 
 		// Create the chart
         chart = this.getChartsEngine().createXYBarChart(dataset, null, PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_X_AXIS_LABEL, PartitionCoreMessages.CHARTSENGINE_PARTITION_DIMENSIONS_Y_AXIS_LABEL, false, true);
-        ((IRendererWithItemSelection) chart.getXYPlot().getRenderer()).setChartType(ChartsEngine.CHART_TYPE_PARTITION_DIMENSIONS);
-
         // Custom range axis for ticks drawing options
         chart.getXYPlot().setRangeAxis(new ExtendedNumberAxis((NumberAxis) chart.getXYPlot().getRangeAxis(), false, true, 0, DatasetUtilities.findMaximumRangeValue(chart.getXYPlot().getDataset()).doubleValue()));
 
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/base/Utils.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/base/Utils.java	(revision 722)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/base/Utils.java	(revision 723)
@@ -1,6 +1,5 @@
 package org.txm.progression.core.chartsengine.base;
 
-import org.txm.chartsengine.core.ChartsEngine;
 import org.txm.progression.core.functions.Progression;
 import org.txm.progression.core.messages.ProgressionCoreMessages;
 
@@ -56,13 +55,5 @@
 		return title;
 	}
 	
-	/**
-	 * Gets a chart creator from the specified charts engine.
-	 * @param chartsEngine
-	 * @return
-	 */
-	public static ProgressionChartCreator getChartCreator(ChartsEngine chartsEngine)	{
-		return (ProgressionChartCreator) chartsEngine.getChartCreator(Progression.class);
-	}
-	
+
 }
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java	(revision 722)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/JFCProgressionCumulativeChartCreator.java	(revision 723)
@@ -101,7 +101,6 @@
 
 
 
-        ((IRendererWithItemSelection) chart.getXYPlot().getRenderer()).setChartType(ChartsEngine.CHART_TYPE_PROGRESSION);
         ((IRendererWithItemSelection) chart.getXYPlot().getRenderer()).getItemsSelector().setResult(progression);
 
 		
Index: tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java
===================================================================
--- tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java	(revision 722)
+++ tmp/org.txm.progression.core/src/org/txm/progression/core/chartsengine/jfreechart/themes/highcharts/renderers/ProgressionItemSelectionRenderer.java	(revision 723)
@@ -54,7 +54,6 @@
 	 */
 	public ProgressionItemSelectionRenderer() {
 		super();
-		this.setChartType(ChartsEngine.CHART_TYPE_PROGRESSION);
 		// FIXME: simple selection mode
 		//((MultipleItemsSelector) this.multipleItemsSelector).setSimpleSelectionMode(true);
 	}
Index: tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java
===================================================================
--- tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 722)
+++ tmp/org.txm.concordance.core/src/org/txm/concordance/core/functions/Concordance.java	(revision 723)
@@ -106,7 +106,11 @@
 
 	private ArrayList<Property> availableRightSortProperties;
 
+
 	
+	/** The query. */
+	@Parameter(key=ConcordancePreferences.QUERY)
+	protected Query pQuery;
 	
 	
 	/** The keyword analysis properties */
@@ -133,10 +137,6 @@
 	@Parameter(key=ConcordancePreferences.LEFT_CONTEXT_SIZE)
 	protected Integer pLeftContextSize;
 	
-	/** The query. */
-	@Parameter
-	protected Query pQuery;
-	
 	/** The right context size. */
 	@Parameter(key=ConcordancePreferences.RIGHT_CONTEXT_SIZE)
 	protected Integer pRightContextSize;
Index: tmp/org.txm.libs.cqp.win32/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.cqp.win32/META-INF/MANIFEST.MF	(revision 722)
+++ tmp/org.txm.libs.cqp.win32/META-INF/MANIFEST.MF	(revision 723)
@@ -3,7 +3,7 @@
 Bundle-Name: CQP.win32
 Bundle-SymbolicName: org.txm.libs.cqp.win32
 Bundle-Version: 1.1.0.qualifier
-Fragment-Host: org.txm.libs.cqp;bundle-version="1.0.0.qualifier"
+Fragment-Host: org.txm.libs.cqp
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-Vendor: Textometrie.org
 Eclipse-PlatformFilter: (osgi.os=win32)
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java	(revision 722)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryLineAndShapeRenderer.java	(revision 723)
@@ -149,19 +149,8 @@
 	}
 
 
-	@Override
-	public int getChartType() {
-		return this.mouseOverItemSelector.getChartType();
-	}
 
-
 	@Override
-	public void setChartType(int chartType) {
-		this.mouseOverItemSelector.setChartType(chartType);
-	}
-
-
-	@Override
 	public void updateDatasetForDrawingSelectedItemAsLast() {
 		// FIXME : to remove when validated
 		//this.itemSelector.setItemDrawnAtLast(this);
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java	(revision 722)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionCategoryStepRenderer.java	(revision 723)
@@ -145,18 +145,8 @@
 	}
 
 
-	@Override
-	public int getChartType() {
-		return this.mouseOverItemSelector.getChartType();
-	}
 
-
 	@Override
-	public void setChartType(int chartType) {
-		this.mouseOverItemSelector.setChartType(chartType);
-	}
-
-	@Override
 	public void updateDatasetForDrawingSelectedItemAsLast() {
 		// FIXME : to remove when validated
 		//this.itemSelector.setItemDrawnAtLast(this);
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java	(revision 722)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYLineAndShapeRenderer.java	(revision 723)
@@ -224,18 +224,7 @@
 	}
 
 
-	@Override
-	public int getChartType() {
-		return this.multipleItemsSelector.getChartType();
-	}
 
-
-	@Override
-	public void setChartType(int chartType) {
-		this.multipleItemsSelector.setChartType(chartType);
-	}
-
-
 //	
 //    @Override
 //    public XYItemRendererState initialise(Graphics2D g2, Rectangle2D dataArea,
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java	(revision 722)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/renderers/ItemSelectionXYStepRenderer.java	(revision 723)
@@ -151,18 +151,8 @@
 	}
 
 
-	@Override
-	public int getChartType() {
-		return this.multipleItemsSelector.getChartType();
-	}
 
-
 	@Override
-	public void setChartType(int chartType) {
-		this.multipleItemsSelector.setChartType(chartType);
-	}
-
-	@Override
 	public void updateDatasetForDrawingSelectedItemAsLast() {
 		// FIXME: put the mouse over item series at last in the dataset
 //		this.getPlot().getDatasetRenderingOrder().
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java	(revision 722)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/themes/highcharts/defaulttheme/HighchartsDefaultTheme.java	(revision 723)
@@ -345,9 +345,7 @@
 
 
 	    	// For drawing tick marks between categories and not in theirs middle
-	    	if(((IRendererWithItemSelection)renderer).getChartType() != ChartsEngine.CHART_TYPE_CAH_2D)	{
-	    		plot.setDomainAxis(new CategoryAxisBetweenTicks(plot.getDomainAxis()));
-	    	}
+    		plot.setDomainAxis(new CategoryAxisBetweenTicks(plot.getDomainAxis()));
 
 	    	plot.getDomainAxis().setAxisLinePaint(Color.decode("#C0D0E0"));
 	    	plot.getDomainAxis().setTickMarkPaint(Color.decode("#C0D0E0"));
@@ -365,15 +363,8 @@
 	    	if(renderer instanceof ItemSelectionCategoryBarRenderer)	{
 	    		ItemSelectionCategoryBarRenderer barRenderer = (ItemSelectionCategoryBarRenderer) renderer;
 	    		barRenderer.setDrawBarOutline(true);
+	    		barRenderer.setMaximumBarWidth(0.1);
 
-		    	if(((IRendererWithItemSelection)renderer).getChartType() == ChartsEngine.CHART_TYPE_CAH_2D)	{
-		    		barRenderer.setMaximumBarWidth(0.001);
-		    	}
-		    	else	{
-		    		barRenderer.setMaximumBarWidth(0.1);
-		    	}
-
-		    	//
 	    		barRenderer.setItemMargin(0.1);		// the space between bar of same category
 
 		    	plot.getDomainAxis().setLowerMargin(0); // the space before the items in the axis
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IRendererWithItemSelection.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IRendererWithItemSelection.java	(revision 722)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/interfaces/IRendererWithItemSelection.java	(revision 723)
@@ -29,22 +29,6 @@
 	public void updateDatasetForDrawingSelectedItemAsLast();
 	
 	/**
-	 * Returns the chart type as defined by {@link ChartsEngine} constants.
-	 * @return
-	 */
-	@Deprecated
-	// FIXME: became useless since the ChartResult is stored in the renderer
-	public int getChartType();
-	
-	/**
-	 * Sets the chart type  
-	 * @param chartType
-	 */
-	@Deprecated
-	// FIXME: became useless since the ChartResult is stored in the renderer
-	public void setChartType(int chartType);
-	
-	/**
      * Returns the plot that the renderer has been assigned to (where
      * <code>null</code> indicates that the renderer is not currently assigned
      * to a plot).
Index: tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MouseOverItemSelector.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MouseOverItemSelector.java	(revision 722)
+++ tmp/org.txm.chartsengine.jfreechart.core/src/org/txm/chartsengine/jfreechart/core/renderers/MouseOverItemSelector.java	(revision 723)
@@ -47,13 +47,6 @@
 	protected int yCoord;
 	
 	/**
-	 * The chart type linked to the item selector.
-	 */
-	// FIXME: if now we store the TXM result data we may do not need the chart type anymore
-	// (NOTE: the 2 variables may be useful for example to dissociate CA Factorial Map and CA Singular Values which have the same CA result)
-	protected int chartType;
-	
-	/**
 	 * Linked chart result.
 	 */
 	protected ChartResult result; 
@@ -78,7 +71,6 @@
 	 */
 	public MouseOverItemSelector(IRendererWithItemSelection renderer) {
 		this.renderer = renderer;
-		this.chartType = -1;
 		this.active = true;
 		
 		this.itemsToDrawAsLastElements = new HashMap<Integer, List<Integer>>();
@@ -185,22 +177,6 @@
 
 
 	/**
-	 * @return the chartType
-	 */
-	public int getChartType() {
-		return chartType;
-	}
-
-
-	/**
-	 * @param chartType the chartType to set
-	 */
-	public void setChartType(int chartType) {
-		this.chartType = chartType;
-	}
-
-
-	/**
 	 * Checks if the item selection is enabled or disabled
 	 * @return the active state
 	 */
Index: tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java
===================================================================
--- tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 722)
+++ tmp/org.txm.progression.rcp/src/org/txm/progression/rcp/chartsengine/events/ProgressionEventCallBack.java	(revision 723)
@@ -10,7 +10,6 @@
 import org.eclipse.e4.ui.workbench.modeling.EModelService;
 import org.eclipse.jface.viewers.StructuredSelection;
 import org.eclipse.jface.viewers.TableViewer;
-import org.eclipse.osgi.util.NLS;
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.PartInitException;
@@ -27,10 +26,8 @@
 import org.txm.objects.Page;
 import org.txm.objects.Text;
 import org.txm.progression.core.chartsengine.base.ProgressionChartCreator;
-import org.txm.progression.core.chartsengine.base.Utils;
 import org.txm.progression.core.functions.Progression;
 import org.txm.rcp.editors.TXMResultEditorInput;
-import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.utils.SWTEditorsUtils;
 import org.txm.searchengine.cqp.corpus.Corpus;
 import org.txm.searchengine.cqp.corpus.Property;
@@ -174,7 +171,7 @@
 					
 					ChartMouseEvent chartEvent = (ChartMouseEvent) o;
 					ChartEntity entity = chartEvent.getEntity();
-					final ArrayList<Integer> selectedPointPositions = Utils.getChartCreator(chartEditor.getChartsEngine()).getSelectedPointPositions(chartEditor.getChart());
+					final ArrayList<Integer> selectedPointPositions = ((ProgressionChartCreator) chartEditor.getResult().getChartCreator()).getSelectedPointPositions(chartEditor.getChart());
 	
 					if(event.getID() == MouseEvent.MOUSE_CLICKED && mouseEvent.getClickCount() == 2 && eventArea == EventCallBack.AREA_ITEM && !selectedPointPositions.isEmpty()) {
 	
@@ -226,7 +223,7 @@
 					// Arrow keys
 					if(keyEvent.getKeyCode() == KeyEvent.VK_LEFT || keyEvent.getKeyCode() == KeyEvent.VK_RIGHT)	{
 					
-						final ArrayList<Integer> selectedPointPositions = Utils.getChartCreator(chartEditor.getChartsEngine()).getSelectedPointPositions(chartEditor.getChart());
+						final ArrayList<Integer> selectedPointPositions = ((ProgressionChartCreator) chartEditor.getResult().getChartCreator()).getSelectedPointPositions(chartEditor.getChart());
 	
 						// Get the linked concordance editors and update the one linked to the progression curve if it exists
 						ArrayList<EditorPart> linkedConcordancesEditors = chartEditor.getLinkedEditors(ConcordanceEditor.class);
@@ -268,7 +265,7 @@
 //		ArrayList<Integer> selectedSeries = chartEditor.getEditorInput().getSWTChartComponentsProvider().getChartsEngine().getProgressionChartSelectedSeries(chartEditor.getChart());
 //		String query = ((Progression) chartEditor.getResultData()).getQueries().get(selectedSeries.get(selectedSeries.size() - 1).intValue()).getQueryString();
 		
-		int lastSelectedSeries = Utils.getChartCreator(chartEditor.getChartsEngine()).getLastSelectedSeries(chartEditor.getChart());
+		int lastSelectedSeries = ((ProgressionChartCreator) chartEditor.getResult().getChartCreator()).getLastSelectedSeries(chartEditor.getChart());
 		String query = ((Progression) chartEditor.getResult()).getQueries().get(lastSelectedSeries).getQueryString();
 
 		// Remove "[" and "]" only if it's a simple query as "[faire]" 
@@ -426,7 +423,7 @@
 		
 		try {
 		
-			ArrayList<Color> seriesColors = chartEditor.getChartsEngine().getChartCreator(Progression.class).getSeriesShapesColors(chartEditor.getChart());
+			ArrayList<Color> seriesColors = chartEditor.getChartsEngine().getChartCreator(chartEditor.getResult()).getSeriesShapesColors(chartEditor.getChart());
 			RGBA selectedWordColor = new RGBA(255, 10, 10);
 
 			//FIXME: old color
@@ -461,7 +458,7 @@
 			List<String> selectedWordIds = selectedWordMatch.getValuesForProperty(corpus.getProperty("id")); //$NON-NLS-1$;
 
 			// Get all words to highlight from the progression chart data set
-			ArrayList<ArrayList<Integer>> allPointPositionsBySeries = ((ProgressionChartCreator)chartEditor.getEditorInput().getChartsEngine().getChartCreator(Progression.class)).getAllPointPositionsBySeries(chartEditor.getChart());
+			ArrayList<ArrayList<Integer>> allPointPositionsBySeries = ((ProgressionChartCreator)chartEditor.getEditorInput().getChartsEngine().getChartCreator(chartEditor.getResult())).getAllPointPositionsBySeries(chartEditor.getChart());
 			
 			ArrayList<ArrayList<String>> allWordIds = new ArrayList<ArrayList<String>>(allPointPositionsBySeries.size());
 			for(int i = 0; i < allPointPositionsBySeries.size(); i++) {
